Bug 465305 - LVM Admin Guide: incorrect information about stripe size limits
LVM Admin Guide: incorrect information about stripe size limits
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Documentation (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Steven J. Levine
Content Services Development
: Documentation
Depends On: 463828
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 13:23 EDT by Steven J. Levine
Modified: 2009-08-19 23:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-26 09:49:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven J. Levine 2008-10-02 13:23:22 EDT
+++ This bug was initially created as a clone of Bug #463828 +++

Description of problem:
The LVM2 administrators guide incorrectly states that the stripe size of LVM2 volumes is limited to a power of 2 between 4kB and 512kB (p35). This is also present in the online version:

http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/en-US/RHEL510/pdf/Cluster_Logical_Volume_Manager.pdf

--- snip ---
4.1.2. Creating Striped Volumes
The stripe size should be tuned to a power of 2 between 4kB and
512kB, and matched to the application's I/O that is using the
striped volume. The -I argument of the lvcreate command specifies
the stripe size in kilobytes.
--- snip ---

This is only the case for the LVM1 binary metadata format. The LVM2 text VG format declares the format flag FMT_UNLIMITED_STRIPESIZE and is not subject to this restriction.

See the following code which enforces the check for other metadata formats (but not LVM2):

tools/lvcreate.c:_lvcreate():
535         if (lp->stripes > 1 &&
536             !(vg->fid->fmt->features & FMT_UNLIMITED_STRIPESIZE) &&
537             (lp->stripe_size > STRIPE_SIZE_MAX)) {
538                 log_error("Stripe size may not exceed %s",
539                           display_size(cmd, (uint64_t) STRIPE_SIZE_MAX));
540                 return 0;
541         }

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Read the doc :)
  
Actual results:
Limits described apply to LVM1 not LVM2 metadata.

Expected results:
Documentation should either document LVM2 capabilities or make it clear that this restriction is only for legacy LVM1 volume groups.

--- Additional comment from ddomingo@redhat.com on 2008-09-24 19:41:38 EDT ---

reassigning to Paul Kennedy, who i believe is the person assigned to the book in question.

--- Additional comment from pkennedy@redhat.com on 2008-09-26 10:21:21 EDT ---

Assigned to Steven Levine (slevine@redhat.com); primary content author of this book.
Comment 1 Steven J. Levine 2009-02-26 09:49:00 EST
For the RHEL 5.3 release, all the RHEL 5.x releases are documented in one version. The RHEL 5 manual released with RHEL 5.3 has been corrected.

Note You need to log in before you can comment on or make changes to this bug.